org.apache.ignite.internal.util.lang

## Class GridFilteredIterator<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridFilteredIterator<T>

All Implemented Interfaces:
  Iterator<T>

    public abstract class GridFilteredIterator<T>
    extends Object
    implements Iterator<T>

Filtered iterator.

### Constructor Summary

Constructors
`protected` `GridFilteredIterator(Iterator<? extends T> it)`

### Method Summary

Methods
`protected abstract boolean` `accept(T t)`
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridFilteredIterator

    protected GridFilteredIterator(Iterator<? extends T> it)

Parameters:
  `it` - Iterator.

### Method Detail

#### accept

    protected abstract boolean accept(T t)

Parameters:
  `t` - The object.
Returns:
  `true` If the object is accepted by the filter.

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016